#ifndef DEF_THOIGIAN
#define DEF_THOIGIAN
class ThoiGian{
    public:
        ThoiGian(int gio = 0, int phut = 0, int giay = 0);
        ThoiGian& operator+=(ThoiGian const& thoiGian);
        void hienThi(std::ostream &out) const;
        bool bang(ThoiGian const& b) const;
        bool nhoHon(ThoiGian const& b) const;

    private:
        int m_gio;
        int m_phut;
        int m_giay;
};

ThoiGian operator+(ThoiGian const& a, ThoiGian const& b);

std::ostream& operator<<(std::ostream& out, ThoiGian const& ThoiGian);

bool operator==(ThoiGian const& a, ThoiGian const& b);

bool operator!=(ThoiGian const& a, ThoiGian const& b);

bool operator<(ThoiGian const& a, ThoiGian const& b);
#endif

